[oe-commits] Cliff Brake : update-testing-branch.sh: script to do the weekly testing branch update

git version control git at git.openembedded.org
Fri Feb 4 14:38:41 UTC 2011


Module: openembedded.git
Branch: master
Commit: db60254c965392e21ba5438b1530cb7049574dfa
URL:    http://gitweb.openembedded.net/?p=openembedded.git&a=commit;h=db60254c965392e21ba5438b1530cb7049574dfa

Author: Cliff Brake <cbrake at bec-systems.com>
Date:   Fri Feb  4 09:37:24 2011 -0500

update-testing-branch.sh: script to do the weekly testing branch update

---

 contrib/testing/update-testing-branch.sh |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

diff --git a/contrib/testing/update-testing-branch.sh b/contrib/testing/update-testing-branch.sh
new file mode 100755
index 0000000..2c48af1
--- /dev/null
+++ b/contrib/testing/update-testing-branch.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+DATE=`date +%F`
+
+cd /scratch/oe/oe-build/openembedded
+git fetch
+git checkout testing-next
+git merge origin/master
+git push oe-push HEAD
+git branch tested_${DATE}
+
+echo "master has been merged to testing-next and is ready for clean builds" | mail -s "testing branch ${DATE}" openembedded-devel at lists.openembedded.org -- -r "cliff.brake at gmail.com"
+





More information about the Openembedded-commits mailing list